extends Node

#preloading crate and marker for box trap
var myBox = preload("res://scenes/crate.tscn")
@onready var box_trap = $"../BoxTrap"
@onready var timer = $Timer
@onready var player = $"../CharacterBody2D"

var totalCoins = 0

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	pass

func _on_area_2d_areatrigger(effect, body):
	print("Game Controller sees the trigger " + effect)
	match effect:
		"alert":
			#do stuff
			print("hi")
			if body.is_in_group("player"):
				for n in 3:
					var box = myBox.instantiate()
					owner.add_child(box)
					box.transform = box_trap.transform

func coinCollected():
	totalCoins += 1
	print("I have " + str(totalCoins) + " coins")

func playerDeath():
	player.die()
	timer.start()

func resetWorld():
	get_tree().reload_current_scene()
